Bug 882147 - reclaim dialog allows removing HDISO source
Summary: reclaim dialog allows removing HDISO source
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8221c0bcc483b99eea86c39c9f9...
Depends On:
Blocks: F18-accepted, F18FinalFreezeExcept
TreeView+ depends on / blocked
 
Reported: 2012-11-30 09:26 UTC by Kamil Páral
Modified: 2012-12-15 03:17 UTC (History)
7 users (show)

Fixed In Version: anaconda-18.36.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-15 03:17:00 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (174.96 KB, text/plain)
2012-11-30 09:26 UTC, Kamil Páral
no flags Details
File: product (6 bytes, text/plain)
2012-11-30 09:26 UTC, Kamil Páral
no flags Details
File: type (9 bytes, text/plain)
2012-11-30 09:26 UTC, Kamil Páral
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-11-30 09:26 UTC, Kamil Páral
no flags Details
File: storage.log (70.76 KB, text/plain)
2012-11-30 09:26 UTC, Kamil Páral
no flags Details
File: version (7 bytes, text/plain)
2012-11-30 09:26 UTC, Kamil Páral
no flags Details
File: environ (780 bytes, text/plain)
2012-11-30 09:26 UTC, Kamil Páral
no flags Details
File: executable (14 bytes, text/plain)
2012-11-30 09:26 UTC, Kamil Páral
no flags Details
File: anaconda.log (7.51 KB, text/plain)
2012-11-30 09:27 UTC, Kamil Páral
no flags Details
File: syslog (61.66 KB, text/plain)
2012-11-30 09:27 UTC, Kamil Páral
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-11-30 09:27 UTC, Kamil Páral
no flags Details
File: packaging.log (2.58 KB, text/plain)
2012-11-30 09:27 UTC, Kamil Páral
no flags Details
File: cmdline_file (117 bytes, text/plain)
2012-11-30 09:27 UTC, Kamil Páral
no flags Details
File: release (24 bytes, text/plain)
2012-11-30 09:27 UTC, Kamil Páral
no flags Details
File: program.log (25.41 KB, text/plain)
2012-11-30 09:27 UTC, Kamil Páral
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 884599 None None None Never

Internal Links: 884599

Description Kamil Páral 2012-11-30 09:26:41 UTC
Description of problem:
This happened when I run anaconda with inst.repo=hd:vda:/dvd.iso and then tried to remove vda1 in the reclaim dialog. It might be a silly thing to do, but I haven't realized that. I guess anaconda should not offer me such partitions to reclaim when it mounted a package repository out of it, or it should say "no no no, that partition can't be removed, because you have selected it as a package source".

Version-Release number of selected component:
anaconda-18.29.2

Additional info:
libreport version: 2.0.17
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.6-3.fc18.i686

description:
:The following was filed automatically by anaconda:
:anaconda 18.29.2 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/isys/__init__.py", line 152, in umount
:    rc = _isys.umount(what)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/formats/fs.py", line 656, in unmount
:    rc = isys.umount(self._mountpoint, removeDir = False)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/formats/fs.py", line 863, in teardown
:    return self.unmount(*args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 487, in __init__
:    device.format.teardown()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1204, in destroyDevice
:    self.devicetree.registerAction(ActionDestroyFormat(device))
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/__init__.py", line 779, in recursiveRemove
:    self.destroyDevice(device)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 261, in _scheduleActions
:    self.storage.recursiveRemove(device)
:SystemError: (32, 'umount: /run/install/isodir: target is busy.\n        (In some cases useful info about processes that use\n         the device is found by lsof(8) or fuser(1))')

Comment 1 Kamil Páral 2012-11-30 09:26:44 UTC
Created attachment 654895 [details]
File: anaconda-tb

Comment 2 Kamil Páral 2012-11-30 09:26:46 UTC
Created attachment 654896 [details]
File: product

Comment 3 Kamil Páral 2012-11-30 09:26:48 UTC
Created attachment 654897 [details]
File: type

Comment 4 Kamil Páral 2012-11-30 09:26:50 UTC
Created attachment 654898 [details]
File: ifcfg.log

Comment 5 Kamil Páral 2012-11-30 09:26:52 UTC
Created attachment 654899 [details]
File: storage.log

Comment 6 Kamil Páral 2012-11-30 09:26:54 UTC
Created attachment 654900 [details]
File: version

Comment 7 Kamil Páral 2012-11-30 09:26:56 UTC
Created attachment 654901 [details]
File: environ

Comment 8 Kamil Páral 2012-11-30 09:26:58 UTC
Created attachment 654902 [details]
File: executable

Comment 9 Kamil Páral 2012-11-30 09:27:00 UTC
Created attachment 654903 [details]
File: anaconda.log

Comment 10 Kamil Páral 2012-11-30 09:27:06 UTC
Created attachment 654904 [details]
File: syslog

Comment 11 Kamil Páral 2012-11-30 09:27:09 UTC
Created attachment 654905 [details]
File: hashmarkername

Comment 12 Kamil Páral 2012-11-30 09:27:11 UTC
Created attachment 654906 [details]
File: packaging.log

Comment 13 Kamil Páral 2012-11-30 09:27:13 UTC
Created attachment 654907 [details]
File: cmdline_file

Comment 14 Kamil Páral 2012-11-30 09:27:15 UTC
Created attachment 654908 [details]
File: release

Comment 15 Kamil Páral 2012-11-30 09:27:17 UTC
Created attachment 654909 [details]
File: program.log

Comment 16 Kamil Páral 2012-11-30 09:29:33 UTC
I guess this hits:
" Rejecting obviously invalid operations without crashing "
https://fedoraproject.org/wiki/Fedora_18_Beta_Release_Criteria

But it is a very specific use case, I wonder whether we want to block on that. In ideal world yes, in reality I'm not so sure.

Comment 17 Kamil Páral 2012-11-30 09:37:31 UTC
When I was careful not to remove vda1, I ended up with bug 879610 comment 18.

Comment 18 Adam Williamson 2012-12-03 17:44:21 UTC
Discussed at 2012-12-03 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-12-03/f18final-blocker-review-1.2.2012-12-03-17.25.log.txt . Rejected as a blocker - this is borderline, but we're fairly sure we ultimately wouldn't block for such a 'doctor, it hurts' problem. Accepted as NTH, it's a crasher in install.

Comment 19 Fedora Update System 2012-12-05 00:57:02 UTC
pykickstart-1.99.22-1.fc18, anaconda-18.35-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-19380/pykickstart-1.99.22-1.fc18,anaconda-18.35-1.fc18

Comment 20 Fedora Update System 2012-12-05 23:13:17 UTC
Package pykickstart-1.99.22-1.fc18, anaconda-18.35-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.22-1.fc18 anaconda-18.35-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19380/pykickstart-1.99.22-1.fc18,anaconda-18.35-1.fc18
then log in and leave karma (feedback).

Comment 21 Fedora Update System 2012-12-06 07:29:14 UTC
pykickstart-1.99.22-1.fc18, anaconda-18.35-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Kamil Páral 2012-12-06 11:18:11 UTC
Reopening. If I open the reclaim dialog twice, I can still remove hdiso source partition. See bug 853789 comment 16 and 17.

Comment 23 Kamil Páral 2012-12-06 11:20:52 UTC
Also see bug 884599, which is the same problem, just with manual partitioning screen.

Comment 24 Fedora Update System 2012-12-08 01:46:12 UTC
anaconda-18.37-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37-1.fc18

Comment 25 Fedora Update System 2012-12-08 22:13:41 UTC
Package anaconda-18.37-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.37-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19991/anaconda-18.37-1.fc18
then log in and leave karma (feedback).

Comment 26 Kamil Páral 2012-12-10 09:50:57 UTC
The problem mentioned in comment 22 is fixed in anaconda 18.37. Setting as verified.

Comment 27 Fedora Update System 2012-12-15 03:17:03 UTC
anaconda-18.37.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.